# frozen_string_literal: true
module GetYourRep
  # Red, white and blue decorations for CLI.
  module Patriotic
    # Stars and Bars
    def self.stars_and_bars
      4.times { puts stars_and_red_bar, stars_and_white_bar }
      puts stars_and_red_bar
      3.times { puts white_bar, red_bar }
    end

    # Stars and red bar.
    def self.stars_and_red_bar
      ' *   *   *   *   *   * '.white.on_blue + '                                  '.on_red
    end

    # Stars and white bar.
    def self.stars_and_white_bar
      '   *   *   *   *   *   '.white.on_blue + '                                  '.on_white
    end

    # Red bar.
    def self.red_bar
      '                                                         '.on_red
    end

    # White bar.
    def self.white_bar
      '                                                         '.on_white
    end

    # Fireworks welcome message.
    def self.welcome
      puts ''
      2.times do
        sparkle_print 'g e   ', 'y o u r ', 'r e p '
        sparkle_print 'g e t ', 'y o   r ', 'r e p '
        sparkle_print 'g e t ', 'y o u r ', 'r   p '
        sparkle_print 'g e t ', 'y o u   ', 'r e p '
        sparkle_print 'g e t ', '  o u r ', 'r e p '
        sparkle_print '  e t ', 'y o u r ', 'r e p '
        sparkle_print 'g e t ', 'y o u r ', 'r e   '
        sparkle_print 'g e t ', 'y o u r ', 'r e p '
        sparkle_print 'g e t ', 'y   u r ', 'r e p '
        sparkle_print 'g   t ', 'y o u r ', 'r e p '
        sparkle_print 'g e t ', 'y o u r ', '  e p '
        sparkle_print 'g e t ', 'y o u r ', 'r e p '
      end
      puts ''
    end

    def self.sparkle_print(string_one, string_two, string_three)
      print "\r" + '- '.red + '- '.white + '- '.blue + string_one.red + string_two.white +
        string_three.blue + '- '.red + '- '.white + '- '.blue
      sleep(0.05)
    end
  end
end
